diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_menus.ini 11/administrator/language/es-ES/es-ES.com_menus.ini
--- 10/administrator/language/es-ES/es-ES.com_menus.ini	2009-03-28 20:22:46.000000000 +0100
+++ 11/administrator/language/es-ES/es-ES.com_menus.ini	2009-05-23 04:49:14.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_menus.ini 1.5.0 2009-03-28 20:22:46 21:04:13 ~0 $
+# $Id: es-ES.com_menus.ini 1.5.0 2009-05-23 04:49:12 21:04:13 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -8,7 +8,7 @@
 A DESCRIPTION FOR THE MENU=Una descripción para el menú
 A PROPER TITLE FOR THE MENU=Un título apropiado para el menú
 ADVANCED PARAMETERS=Parámetros avanzados
-ALIAS=Alias
+ALIAS=Alías
 ALIGNMENT OF THE IMAGE=Alineación de la imagen
 ALL CATEGORIES=Todas las categorías
 ALL SECTIONS=Todas las secciones
@@ -176,7 +176,7 @@
 OTHER CATEGORIES=Otras categorias
 PAGINATION=Paginación
 PAGINATION RESULTS=Resultados de paginación
-PARAMADD=Por defecto http:// será agregado si no se detecta un  http:// o https:// en la URL que facilitas. Ésto, permite desconectar esta habilidad
+PARAMADD=Por defecto http:// será añadido si no se detecta un  http:// o https:// en la URL que se proporciona. Ésto, permite desconectar esta habilidad
 PARAMETERS - ADVANCED=Parámetros avanzados
 PARAMARTICLES=Mostrar/Ocultar el número de artículos en las noticias(Feeds)
 PARAMAUTHOR=Mostrar/Ocultar el nombre del autor del artículo - Solo afecta a esta página
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_menus.menu.ini 11/administrator/language/es-ES/es-ES.com_menus.menu.ini
--- 10/administrator/language/es-ES/es-ES.com_menus.menu.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_menus.menu.ini	2009-05-23 04:45:52.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_menus.menu.ini 1.5.0 2008-07-08 18:01:31 14:19:09 ~0 $
+# $Id: es-ES.com_menus.menu.ini 1.5.0 2009-05-23 04:45:49 14:19:09 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_messages.ini 11/administrator/language/es-ES/es-ES.com_messages.ini
--- 10/administrator/language/es-ES/es-ES.com_messages.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_messages.ini	2009-05-23 04:51:48.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_messages.ini 1.5.0 2008-07-08 18:02:24 20:34:38 ~0 $
+# $Id: es-ES.com_messages.ini 1.5.0 2009-05-23 04:51:46 20:34:38 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -8,7 +8,7 @@
 A NEW PRIVATE MESSAGE HAS ARRIVED=Ha llegado un nuevo mensaje
 ARE YOU SURE?=¿Estás seguro?
 AUTO PURGE MESSAGES=Auto purgar mensajes
-DAYS OLD=Antigüedad
+DAYS OLD=días pasados
 FROM=De
 GENERAL=General
 LOCK INBOX=Bloquear bandeja de entrada
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_modules.ini 11/administrator/language/es-ES/es-ES.com_modules.ini
--- 10/administrator/language/es-ES/es-ES.com_modules.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_modules.ini	2009-05-23 05:00:16.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_modules.ini 1.5.0 2008-07-08 18:04:35 15:58:45 ~0 $
+# $Id: es-ES.com_modules.ini 1.5.0 2009-05-23 04:57:27 15:58:45 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -43,7 +43,7 @@
 NEW MODULE=Nuevo módulo
 NEW=Nuevo
 NO CACHING=No usar la caché
-NUM=núm.
+NUM=#
 ONLINE USERS=Usuarios en línea
 PAGES=Páginas
 PARAMMODULECLASSSUFFIX=Un sufijo a ser aplicado desde la clase del CSS del módulo. Ésto permite el estilo individual de módulos
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_newsfeeds.ini 11/administrator/language/es-ES/es-ES.com_newsfeeds.ini
--- 10/administrator/language/es-ES/es-ES.com_newsfeeds.ini	2009-01-11 02:32:04.000000000 +0100
+++ 11/administrator/language/es-ES/es-ES.com_newsfeeds.ini	2009-05-23 05:03:02.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_newsfeeds.ini 1.5.0 2009-01-11 02:32:05 20:32:58 ~0 $
+# $Id: es-ES.com_newsfeeds.ini 1.5.0 2009-05-23 05:03:01 20:32:58 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -17,7 +17,7 @@
 CATEGORY LIST - CATEGORY=Lista de categorías - Categoría
 CATEGORY LIST - SECTION=Lista de categorías - Sección
 CHANGES TO NEWSFEED SAVED=Cambios guardados en el servidor de noticias
-DESCNEWITEMSLAST=Las nuevas Noticias Feeds por defecto en el último lugar. El orden se pueden cambiar después de que esta Noticia Feed se guarde.
+DESCNEWITEMSLAST=Las nuevas Noticias Feeds por defecto se pondrán en el último lugar. El orden se pueden cambiar después de que esta Noticia Feed se guarde.
 DESCRIPTION FOR PAGE=Descripción para la página
 DESCRIPTION TEXT=Texto descriptivo
 EDIT NEWSFEED=Editar los parámetros de este servidor de noticias
@@ -70,7 +70,7 @@
 SHOW LIMIT BOX=Mostrar el marco delimitador
 SHOW/HIDE THE LIMIT BOX=Mostrar/Ocultar el marco limitador
 SHOW/HIDE THE TABLE HEADINGS=Mostrar/Ocultar Los encabezados de la tabla
-SITE LANGUAGE DIRECTION=Dirección del idioma del sitio
+SITE LANGUAGE DIRECTION=Dirección del idioma en el sitio
 TABLE HEADINGS=Encabezados de la tabla
 THIS COMPONENT MANAGES RSS/RDF NEWSFEEDS=Este componente maneja las subscripciones al servidor de noticias RSS/RDF
 TIPCACHETIME=El numero de minutos que deben pasar antes de que se recargue la caché del servidor de noticias.
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_newsfeeds.menu.ini 11/administrator/language/es-ES/es-ES.com_newsfeeds.menu.ini
--- 10/administrator/language/es-ES/es-ES.com_newsfeeds.menu.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_newsfeeds.menu.ini	2009-05-23 05:03:36.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_newsfeeds.menu.ini 1.5.0 2008-07-08 18:10:14 02:32:18 ~0 $
+# $Id: es-ES.com_newsfeeds.menu.ini 1.5.0 2009-05-23 05:03:35 02:32:18 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_plugins.ini 11/administrator/language/es-ES/es-ES.com_plugins.ini
--- 10/administrator/language/es-ES/es-ES.com_plugins.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_plugins.ini	2009-05-23 05:04:10.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_plugins.ini 1.5.0 2008-07-08 18:10:42 20:50:03 ~0 $
+# $Id: es-ES.com_plugins.ini 1.5.0 2009-05-23 05:04:08 20:50:03 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_poll.ini 11/administrator/language/es-ES/es-ES.com_poll.ini
--- 10/administrator/language/es-ES/es-ES.com_poll.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_poll.ini	2009-05-23 05:06:00.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_poll.ini 1.5.0 2008-07-08 18:12:10 02:32:54 ~0 $
+# $Id: es-ES.com_poll.ini 1.5.0 2009-05-23 05:05:59 02:32:54 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -17,7 +17,7 @@
 #If the variable does not work in your language use following line
 # PLEASE MAKE A SELECTION FROM THE LIST TO=Please select a Poll from the list
 #instead of
-PLEASE MAKE A SELECTION FROM THE LIST TO=Por favor, selecciona una encuesta de la lista a
+PLEASE MAKE A SELECTION FROM THE LIST TO=Por favor, selecciona una encuesta de la lista a %s
 PLEASE SELECT A POLL=Por favor seleccionar una encuesta
 POLL=Encuesta
 POLL LAYOUT=Presentación de la encuesta
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_poll.menu.ini 11/administrator/language/es-ES/es-ES.com_poll.menu.ini
--- 10/administrator/language/es-ES/es-ES.com_poll.menu.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_poll.menu.ini	2009-05-23 05:06:44.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_poll.menu.ini 1.5.0 2008-07-08 18:12:28 02:33:02 ~0 $
+# $Id: es-ES.com_poll.menu.ini 1.5.0 2009-05-23 05:06:42 02:33:02 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_search.ini 11/administrator/language/es-ES/es-ES.com_search.ini
--- 10/administrator/language/es-ES/es-ES.com_search.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_search.ini	2009-05-23 05:07:54.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_search.ini 1.5.0 2008-07-08 18:12:58 02:35:47 ~0 $
+# $Id: es-ES.com_search.ini 1.5.0 2009-05-23 05:07:52 02:35:47 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -15,6 +15,6 @@
 SHOW CREATED DATE=Mostrar fecha de creación
 SHOW SEARCH RESULTS=Mostrar los resultados de la búsqueda
 STANDARD SEARCH FORM=Formulario de búsqueda estandar
-STANDARD SEARCH LAYOUT DESC=La presentación en pantalla de búsquedas estandar, muestra el formulario de búsqueda y los resusltados.
+STANDARD SEARCH LAYOUT DESC=La presentación en pantalla de búsquedas estándar, muestra el formulario de búsqueda y los resultados.
 TIMES REQUESTED=Cantidad de veces solicitado
 TIPSEARCHSTATISTICS=Habilitar/Deshabilitar el registro de estadísticas del sitio
\ No hay ningún carácter de nueva línea al final del fichero
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_search.menu.ini 11/administrator/language/es-ES/es-ES.com_search.menu.ini
--- 10/administrator/language/es-ES/es-ES.com_search.menu.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_search.menu.ini	2009-05-23 05:08:16.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_search.menu.ini 1.5.0 2008-07-08 18:13:29 02:43:42 ~0 $
+# $Id: es-ES.com_search.menu.ini 1.5.0 2009-05-23 05:08:14 02:43:42 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_sections.ini 11/administrator/language/es-ES/es-ES.com_sections.ini
--- 10/administrator/language/es-ES/es-ES.com_sections.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_sections.ini	2009-05-23 05:16:04.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_sections.ini 1.5.0 2008-07-08 18:14:35 02:43:52 ~0 $
+# $Id: es-ES.com_sections.ini 1.5.0 2009-05-23 05:16:02 02:43:52 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -15,7 +15,7 @@
 DESCALLITEMSWITHINCAT=y todos los artículos sin clasificar (También listados)
 DESCCANNOTBEREMOVED=Seccione(s): %s No puede borrarse si contiene categorías
 DESCNEWITEMSLAST=Las nuevas secciones por defecto en el último lugar. El orden se puede cambiar después de que esta sección se guarde.
-DESCNEWMENUITEM=Ésto creará un nuevo ítem en el menú seleccionado
+DESCNEWMENUITEM=Esto creará un nuevo ítem en el menú seleccionado
 GO TO MENU=Ir al menú
 GO TO MENU ITEM=Ir al ítem del menú
 IMAGE POSITION=Posición de la imagen
@@ -26,7 +26,7 @@
 #If the variable does not work in your language use following line
 # PLEASE MAKE A SELECTION FROM THE LIST TO=Please select a Section from the list
 #instead of
-PLEASE MAKE A SELECTION FROM THE LIST TO=Por favor, selecciona la sección del listado a la que aplicar una acción:
+PLEASE MAKE A SELECTION FROM THE LIST TO=Por favor seleccione una sección de la lista para %s
 PLEASE SELECT A MENU TYPE=Por favor, selecciona el tipo de menú
 PUBLISH ITEM=Publicar esta sección
 SCOPE=Ámbito
diff -aruN --binary 10/administrator/language/es-ES/es-ES.com_templates.ini 11/administrator/language/es-ES/es-ES.com_templates.ini
--- 10/administrator/language/es-ES/es-ES.com_templates.ini	2008-07-08 20:20:44.000000000 +0200
+++ 11/administrator/language/es-ES/es-ES.com_templates.ini	2009-05-23 05:18:54.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.com_templates.ini 1.5.0 2008-07-08 18:17:12 16:07:35 ~0 $
+# $Id: es-ES.com_templates.ini 1.5.0 2009-05-23 05:18:52 16:07:35 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
diff -aruN --binary 10/administrator/language/es-ES/es-ES.ini 11/administrator/language/es-ES/es-ES.ini
--- 10/administrator/language/es-ES/es-ES.ini	2009-03-28 20:09:26.000000000 +0100
+++ 11/administrator/language/es-ES/es-ES.ini	2009-05-21 08:07:32.000000000 +0200
@@ -1,6 +1,6 @@
-# $Id: es-ES.ini 1.5.0 2009-03-28 20:09:26 16:28:06 ~0 $
+# $Id: es-ES.ini 1.5.0 2009-05-21 08:07:31 16:28:06 ~0 $
 # author Joomla! Spanish
-# copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
+# copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 
 # Note : All ini files need to be saved as UTF-8
@@ -66,11 +66,11 @@
 DISPLAY %S FIRST=Mostrar %s primero
 DRAG TO MOVE=Arrástralo para moverlo
 GO TODAY=Ir a hoy
-NEXT MONTH (HOLD FOR MENU)=Haz clic para ir al próximo mes. Haz clic y mantenlo presionado para listar los meses
-NEXT YEAR (HOLD FOR MENU)=Haz clic para ir al próximo año. Haz clic y mantenlo presionado para listar los años.
-PREV. MONTH (HOLD FOR MENU)=Haz clic para ir al mes anterior. Haz clic y mantenlo presionado para listar los meses.
-PREV. YEAR (HOLD FOR MENU)=Haz clic para ir al año anterior. Haz clic y mantenlo presionado para listar los años.
-SELECT DATE=Selecciona una fecha.
+NEXT MONTH (HOLD FOR MENU)=Haz clic para ir al próximo mes. Haz clic y mantén presionado para listar los meses
+NEXT YEAR (HOLD FOR MENU)=Haz clic para ir al próximo año. Haz clic y mantén presionado para listar los años.
+PREV. MONTH (HOLD FOR MENU)=Haz clic para ir al mes anterior. Haz clic y mantén presionado para listar los meses.
+PREV. YEAR (HOLD FOR MENU)=Haz clic para ir al año anterior. Haz clic y mantén presionado para listar los años.
+SELECT DATE=Seleccionar una fecha.
 TIME=Fecha
 TIME:=Fecha:
 CLOSE=Cerrar
@@ -145,8 +145,8 @@
 ADMINISTRATOR FILES=Administrador de archivos
 ADVANCED PARAMETERS=Parámetros avanzados
 ALERTNOTAUTH=No estás autorizado para poder ver este recurso.
-ALIAS=Alias
-ALIASTIP=Leave this blank and Joomla! will fill in a default value, which is the title in lower case and with dashes instead of spaces. You may enter the Alias manually. Use lowercase letters and hypens (-). No spaces or underscores are allowed. The Alias will be used in the SEF URL. Default value will be a date and time if the title is typed in non-latin letters.
+ALIAS=Alías
+ALIASTIP=Déjelo en blanco y Joomla! rellenará un valor predeterminado, que es el título en minúsculas y con guiones en lugar de espacios. Puede introducir manualmente los alias. Utilice letras minúsculas y hypens (-). Espacios no se permite o se destaca. El alias se utilizará en el SEF URL. El valor por defecto será una fecha y hora, si el título no está escrito en letras latínas .
 ALIGN=Alineación
 ALL=Todos
 ALPHABETICAL INDEX=Índice alfabético
@@ -204,7 +204,7 @@
 CONTENT IMAGES=Contenido de imágenes
 CONTINUE=Continuar
 COPY=Copiar
-COPYRIGHT=Copyright
+COPYRIGHT=Derechos de Autor
 COULD NOT CREATE DIRECTORY=No se ha podido crear el directorio
 COULD NOT DELETE FOLDER=No se ha podido borrar el directorio
 COULD NOT MAKE CONFIGURATION.PHP UNWRITABLE=No puedo cambiar el archivo configuration.php a no escribible.
@@ -384,8 +384,8 @@
 NOT FOUND IN FILE=No encontrado en el archivo
 NOT MODIFIED=No Modificado
 NOT PUBLISHED=No Publicado
-NOTICE=Notice
-NUM=núm.
+NOTICE=Noticia
+NUM=#
 NUM ACTIVE=# Activo
 NUM CATEGORIES=# Categorías
 NUM ITEMS=# Ítems
diff -aruN --binary 10/CHANGELOG.php 11/CHANGELOG.php
--- 10/CHANGELOG.php	2009-03-28 01:43:38.000000000 +0100
+++ 11/CHANGELOG.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: CHANGELOG.php 11722 2009-03-27 21:56:05Z willebil $
+* @version		$Id: CHANGELOG.php 11987 2009-06-03 01:08:57Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -37,6 +37,57 @@
 - -> Removed
 ! -> Note
 
+-------------------- 1.5.11 Stable Release [03-June-2009] ------------------
+
+01-Jun-2009 Ian MacLennan
+ # [#16236] Legacy code in installer premigration system causes unrelated errors
+
+30-May-2009 Ian MacLennan
+ ^ [#16397] helpsites.xml update
+ # [#16500] offline.php with wrong stylesheet
+ ^ Updated de-DE installer language pack
+ + Added gl-ES installer language pack
+ ^ Updated it-IT installer language pack
+ ^ Updated mn-MN installer language pack
+ ^ Updated nl-NL installer language pack
+ ^ Updated sk-SK installer language pack
+ ^ Updated tr-TR installer language pack
+
+30-May-2009 Sam Moffatt
+ ^ Updated CREDITS.php with minor fixes from Ole Ottosen
+
+29-May-2009 Ian MacLennan
+ # [#15736] Moving $this->escape validation to files which can't be overridden
+
+13-May-2009 Ian MacLennan
+ # [#13898] There is no translated description for component/module/plugin/etc. after installation
+ # [#15417] db->updateObject function outdated
+ # [#15727] Module cache, id, Itemid
+ # [#16314] PHPDoc Comment for JFactory getDocument method Incorrect
+ # [#16349] Revert 16122 and Replace sr-ME language files
+
+09-May-2009 Kevin Devine
+ # [#15909] RSS 2.0 feeds try to turn mailto: links into absolute urls
+ # [#16211] Atom Link in RSS feed causes validation problems
+ # [#16007] JFile::getName() loses first character
+
+05-May-2009 Ian MacLennan
+ # [#15541] Article Catagory Layout incorrectly sorted
+ # [#15699] Global Configuration Undefined Variable warning
+ # [#15740] At login use of task=register instead of view=register
+ # [#15853] Search results pagination broken when two or more search terms, SEF enabled
+ # [#15912] Error in KEPRI Template, css for icon 'article'
+ # [#15963] The align attribute in mod_mainmenu helper causes problems with some templates
+
+24-Apr-2009 Kevin Devine
+ # [#15446] Atom feed does not validate for Contact Category and Weblinks Category Layouts
+ # [#13890] < Prev and Next > links do not follow SEF rules (duplicate content)
+ # [#15691] Need better control of who can upload files
+ # [#16112] Change in Montengrin Language ISO Code
+ # [#15551] Inconsistent prefix for index.php in com_user #2
+ # [#15913] Change in installation version display (patch included)
+ # [#15701] Joomla 1.5.10 breaks package installation due to new installer PHP code
+
 -------------------- 1.5.10 Stable Release [27-March-2009] ------------------
 
 27-Mar-2009 Anthony Ferrara
diff -aruN --binary 10/components/com_contact/views/category/tmpl/default_items.php 11/components/com_contact/views/category/tmpl/default_items.php
--- 10/components/com_contact/views/category/tmpl/default_items.php	2008-07-06 23:39:08.000000000 +0200
+++ 11/components/com_contact/views/category/tmpl/default_items.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/** $Id: default_items.php 10381 2008-06-01 03:35:53Z pasamio $ */
+/** $Id: default_items.php 11917 2009-05-29 19:37:05Z ian $ */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 ?>
 <?php foreach($this->items as $item) : ?>
@@ -8,12 +8,12 @@
 		<?php echo $item->count +1; ?>
 	</td>
 	<td height="20">
-		<a href="<?php echo $item->link; ?>" class="category<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+		<a href="<?php echo $item->link; ?>" class="category<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<?php echo $item->name; ?></a>
 	</td>
 	<?php if ( $this->params->get( 'show_position' ) ) : ?>
 	<td>
-		<?php echo $item->con_position; ?>
+		<?php echo $this->escape($item->con_position); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ( $this->params->get( 'show_email' ) ) : ?>
@@ -23,17 +23,17 @@
 	<?php endif; ?>
 	<?php if ( $this->params->get( 'show_telephone' ) ) : ?>
 	<td width="15%">
-		<?php echo $item->telephone; ?>
+		<?php echo $this->escape($item->telephone); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ( $this->params->get( 'show_mobile' ) ) : ?>
 	<td width="15%">
-		<?php echo $item->mobile; ?>
+		<?php echo $this->escape($item->mobile); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ( $this->params->get( 'show_fax' ) ) : ?>
 	<td width="15%">
-		<?php echo $item->fax; ?>
+		<?php echo $this->escape($item->fax); ?>
 	</td>
 	<?php endif; ?>
 </tr>
diff -aruN --binary 10/components/com_contact/views/category/tmpl/default.php 11/components/com_contact/views/category/tmpl/default.php
--- 10/components/com_contact/views/category/tmpl/default.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_contact/views/category/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * $Id: default.php 10967 2008-09-26 00:01:51Z ian $
+ * $Id: default.php 11917 2009-05-29 19:37:05Z ian $
  */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 
@@ -8,13 +8,13 @@
 ?>
 
 <?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
-<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<div class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<div class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php if ($this->category->image || $this->category->description) : ?>
-	<div class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php if ($this->params->get('image') != -1 && $this->params->get('image') != '') : ?>
 		<img src="<?php echo $this->baseurl .'/'. 'images/stories' . '/'. $this->params->get('image'); ?>" align="<?php echo $this->params->get('image_align'); ?>" hspace="6" alt="<?php echo JText::_( 'Contacts' ); ?>" />
 	<?php elseif ($this->category->image) : ?>
@@ -46,7 +46,7 @@
 	</thead>
 	<tfoot>
 		<tr>
-			<td align="center" colspan="6" class="sectiontablefooter<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+			<td align="center" colspan="6" class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo $this->pagination->getPagesLinks(); ?>
 			</td>
 		</tr>
@@ -59,34 +59,34 @@
 	<tbody>
 	<?php if ($this->params->get( 'show_headings' )) : ?>
 		<tr>
-			<td width="5" align="right" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+			<td width="5" align="right" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo JText::_('Num'); ?>
 			</td>
-			<td height="20" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+			<td height="20" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo JHTML::_('grid.sort',  'Name', 'cd.name', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 			</td>
 			<?php if ( $this->params->get( 'show_position' ) ) : ?>
-			<td height="20" class="sectiontableheader<?php echo  $this->params->get( 'pageclass_sfx' ); ?>">
+			<td height="20" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo JHTML::_('grid.sort',  'Position', 'cd.con_position', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 			</td>
 			<?php endif; ?>
 			<?php if ( $this->params->get( 'show_email' ) ) : ?>
-			<td height="20" width="20%" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+			<td height="20" width="20%" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo JText::_( 'Email' ); ?>
 			</td>
 			<?php endif; ?>
 			<?php if ( $this->params->get( 'show_telephone' ) ) : ?>
-			<td height="20" width="15%" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+			<td height="20" width="15%" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo JText::_( 'Phone' ); ?>
 			</td>
 			<?php endif; ?>
 			<?php if ( $this->params->get( 'show_mobile' ) ) : ?>
-			<td height="20" width="15%" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+			<td height="20" width="15%" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 				<?php echo JText::_( 'Mobile' ); ?>
 			</td>
 			<?php endif; ?>
 			<?php if ( $this->params->get( 'show_fax' ) ) : ?>
-				<td height="20" width="15%" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+				<td height="20" width="15%" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 					<?php echo JText::_( 'Fax' ); ?>
 				</td>
 			<?php endif; ?>
diff -aruN --binary 10/components/com_contact/views/category/view.feed.php 11/components/com_contact/views/category/view.feed.php
--- 10/components/com_contact/views/category/view.feed.php	2008-07-06 23:39:08.000000000 +0200
+++ 11/components/com_contact/views/category/view.feed.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.feed.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: view.feed.php 11782 2009-04-24 17:25:58Z kdevine $
  * @package		Joomla
  * @subpackage	Contact
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -30,7 +30,12 @@
 		$db			=& JFactory::getDBO();
 		$document	=& JFactory::getDocument();
 		$document->link = JRoute::_('index.php?option=com_contact&view=category&catid='.JRequest::getVar('catid',null, '', 'int'));
-
+		
+		$siteEmail = $mainframe->getCfg('mailfrom');
+		$fromName = $mainframe->getCfg('fromname');
+		$document->editor = $fromName;
+		$document->editorEmail = $siteEmail;
+				
 		$limit 		= JRequest::getVar('limit', $mainframe->getCfg('feed_limit'), '', 'int');
 		$limitstart = JRequest::getVar('limitstart', 0, '', 'int');
 		$catid  	= JRequest::getVar('catid', 0, '', 'int');
@@ -81,4 +86,4 @@
 			$document->addItem( $item );
 		}
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
